ApiSimpleRollingRestartClusterArgs (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiSimpleRollingRestartClusterArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiSimpleRollingRestartClusterArgs

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiSimpleRollingRestartClusterArgs
      extends Object

  Basic arguments used for Rolling Restart Cluster commands.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiSimpleRollingRestartClusterArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `BigDecimal` | `getSlaveBatchSize()` Number of hosts with slave roles to restart at a time.
    `BigDecimal` | `getSlaveFailCountThreshold()` The threshold for number of slave host batches that are allowed to fail to restart before the entire command is considered failed.
    `BigDecimal` | `getSleepSeconds()` Number of seconds to sleep between restarts of slave host batches.
    `int` | `hashCode()`
    `void` | `setSlaveBatchSize(BigDecimal slaveBatchSize)`
    `void` | `setSlaveFailCountThreshold(BigDecimal slaveFailCountThreshold)`
    `void` | `setSleepSeconds(BigDecimal sleepSeconds)`
    `ApiSimpleRollingRestartClusterArgs` | `slaveBatchSize(BigDecimal slaveBatchSize)`
    `ApiSimpleRollingRestartClusterArgs` | `slaveFailCountThreshold(BigDecimal slaveFailCountThreshold)`
    `ApiSimpleRollingRestartClusterArgs` | `sleepSeconds(BigDecimal sleepSeconds)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiSimpleRollingRestartClusterArgs

          public ApiSimpleRollingRestartClusterArgs()

  - ### Method Detail

    - #### slaveBatchSize

          public ApiSimpleRollingRestartClusterArgs slaveBatchSize(BigDecimal slaveBatchSize)

    - #### getSlaveBatchSize

          public BigDecimal getSlaveBatchSize()

      Number of hosts with slave roles to restart at a time. Must be greater than zero. Default is 1.
      Returns:
        slaveBatchSize

    - #### setSlaveBatchSize

          public void setSlaveBatchSize(BigDecimal slaveBatchSize)

    - #### sleepSeconds

          public ApiSimpleRollingRestartClusterArgs sleepSeconds(BigDecimal sleepSeconds)

    - #### getSleepSeconds

          public BigDecimal getSleepSeconds()

      Number of seconds to sleep between restarts of slave host batches. <p> Must be greater than or equal to 0. Default is 0.
      Returns:
        sleepSeconds

    - #### setSleepSeconds

          public void setSleepSeconds(BigDecimal sleepSeconds)

    - #### slaveFailCountThreshold

          public ApiSimpleRollingRestartClusterArgs slaveFailCountThreshold(BigDecimal slaveFailCountThreshold)

    - #### getSlaveFailCountThreshold

          public BigDecimal getSlaveFailCountThreshold()

      The threshold for number of slave host batches that are allowed to fail to restart before the entire command is considered failed. <p> Must be greater than or equal to 0. Default is 0. <p> This argument is for ADVANCED users only. </p>
      Returns:
        slaveFailCountThreshold

    - #### setSlaveFailCountThreshold

          public void setSlaveFailCountThreshold(BigDecimal slaveFailCountThreshold)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.